## org.eclipse.jet.compiler
Class JavaElement

    java.lang.Object
      org.eclipse.jet.compiler.JET2ASTElement
          org.eclipse.jet.compiler.JavaElement

Direct Known Subclasses:
  JET2Declaration, JET2Expression, JET2Scriptlet

Deprecated. Since 0.8.0, use `JavaElement`

    public abstract class JavaElement

extends JET2ASTElement

Abstract representation of JET2 AST elements that contain Java code

Constructor Summary
`JavaElement(org.eclipse.jet.compiler.JET2AST jet2ast, JavaElement delegate)` Deprecated.

Method Summary
`java.lang.String` `getJavaContent()` Deprecated. Return the Java content of the element
`int` `getJavaEnd()` Deprecated. The document relative offset of the first character after the Java code.
`int` `getJavaStart()` Deprecated. The document relative offset of the Java code within the element.

Methods inherited from class org.eclipse.jet.compiler.JET2ASTElement
`accept, getAst, getColumn, getEnd, getLine, getNextElement, getParent, getPrevElement, getStart, removeLineWhenOtherwiseEmpty, setDelegate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaElement

    public JavaElement(org.eclipse.jet.compiler.JET2AST jet2ast,
                       JavaElement delegate)

  Deprecated.

Method Detail

### getJavaStart

    public final int getJavaStart()

  Deprecated.
  The document relative offset of the Java code within the element.

  Returns:
    the start offset

### getJavaEnd

    public final int getJavaEnd()

  Deprecated.
  The document relative offset of the first character after the Java code.

  Returns:
    the end offset

### getJavaContent

    public java.lang.String getJavaContent()

  Deprecated.
  Return the Java content of the element

  Returns:
    the Java content

Copyright 2006 IBM Corporation and others. All Rights Reserved.